function [] = onMouseWheelFcn(~, callbackData)
%ONMOUSEWHEELFCN Summary of this function goes here
%   Detailed explanation goes here

global artoaGui;


%% Panning using scroll wheel
if ~artoaGui.editTemperature.keyShiftDown & ~artoaGui.editTemperature.keyControlDown
    verticalFactor = 0.1;
    artoaGui.editTemperature.axesScatterTemperature.YLim = ...
        artoaGui.editTemperature.axesScatterTemperature.YLim ...
            - (diff(artoaGui.editTemperature.axesScatterTemperature.YLim) * verticalFactor * callbackData.VerticalScrollCount);
    return;
elseif artoaGui.editTemperature.keyShiftDown
    horizontalFactor = 0.1;
    artoaGui.editTemperature.axesScatterTemperature.XLim = ...
        artoaGui.editTemperature.axesScatterTemperature.XLim ...
            + (diff(artoaGui.editTemperature.axesScatterTemperature.XLim) * horizontalFactor * callbackData.VerticalScrollCount);
    return;
end

%% Zooming using scroll wheel
if artoaGui.editTemperature.keyControlDown & ~artoaGui.editTemperature.keyShiftDown
    zoomValue = 0.1 * diff(artoaGui.editTemperature.axesScatterTemperature.XLim) * callbackData.VerticalScrollCount;
    if zoomValue > 0
        mouseOffsetX = 0;
        mouseOffsetY = 0;
    else
        mouseOffsetX = 0.5 * (mean(artoaGui.editTemperature.axesScatterTemperature.XLim) - artoaGui.editTemperature.axesScatterTemperature.CurrentPoint(1, 1));
        mouseOffsetY = 0.5 * (mean(artoaGui.editTemperature.axesScatterTemperature.YLim) - artoaGui.editTemperature.axesScatterTemperature.CurrentPoint(1, 2));
    end
    artoaGui.editTemperature.axesScatterTemperature.XLim(1) = ...
        artoaGui.editTemperature.axesScatterTemperature.XLim(1) ...
            - zoomValue - mouseOffsetX;
    artoaGui.editTemperature.axesScatterTemperature.XLim(2) = ...
        artoaGui.editTemperature.axesScatterTemperature.XLim(2) ...
            + zoomValue - mouseOffsetX;
    zoomValue = 0.1 * diff(artoaGui.editTemperature.axesScatterTemperature.YLim) * callbackData.VerticalScrollCount;
    artoaGui.editTemperature.axesScatterTemperature.YLim(1) = ...
        artoaGui.editTemperature.axesScatterTemperature.YLim(1) ...
            - zoomValue - mouseOffsetY;
    artoaGui.editTemperature.axesScatterTemperature.YLim(2) = ...
        artoaGui.editTemperature.axesScatterTemperature.YLim(2) ...
            + zoomValue - mouseOffsetY;
    return;
end

end

