function [] = addSoundsourceCombination(~, ~)
%ADDSOUNDSOURCECOMBINATION Summary of this function goes here
%   Detailed explanation goes here


global artoaWorkspace;

%% Disable updating of track parameter
artoaWorkspace.trajectoryOutput.updateTrackParameterWindow = false;

%% Insert default content
if size(artoaWorkspace.trackParameter.soundsourceCombinations, 1) == 1
    artoaWorkspace.trackParameter.soundsourceCombinations(end + 1, :) = artoa.controller.track.parameter.getDefaultCombinationCell();
else
    artoaWorkspace.trackParameter.soundsourceCombinations(end + 1, :) = artoa.controller.track.parameter.getDefaultCombinationCell(false);
end
try
    artoaWorkspace.trackParameter.soundsourceCombinations{end, 'combinationBegin'} = artoaWorkspace.trackParameter.soundsourceCombinations{end - 1, 'combinationEnd'} + 1;
catch
end

%% Update gui
artoa.controller.track.parameter.updateGui();
artoa.controller.track.trajectoryOutput.updateGui();

end

